Bug 1053327 - [RFE] Add server-side Server Name Indication (SNI) support
Summary: [RFE] Add server-side Server Name Indication (SNI) support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mod_nss
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Matthew Harmsen
QA Contact: Kaleem
URL:
Whiteboard:
: 1011652 1400745 (view as bug list)
Depends On:
Blocks: 1203710 1295396 1296594 1313485 101652 1295490
TreeView+ depends on / blocked
 
Reported: 2014-01-15 02:57 UTC by Nathan Kinder
Modified: 2016-12-12 14:24 UTC (History)
12 users (show)

Fixed In Version: mod_nss-1.0.14-1.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1295490 (view as bug list)
Environment:
Last Closed: 2016-11-03 21:18:53 UTC


Attachments (Terms of Use)
console.log (7.20 KB, text/html)
2016-08-09 14:19 UTC, Abhijeet Kasurde
no flags Details
nss.conf used for verification (8.88 KB, text/plain)
2016-08-09 14:20 UTC, Abhijeet Kasurde
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2602 normal SHIPPED_LIVE Low: mod_nss security, bug fix, and enhancement update 2016-11-03 12:12:49 UTC
Mozilla Foundation 360421 None None None Never

Description Nathan Kinder 2014-01-15 02:57:23 UTC
NSS does not fully implement support for server-side SNI currently.  Most of the work has been done upstream, but it is not complete.  There are details on the current state of the patches in the upstream bug:

    https://bugzilla.mozilla.org/show_bug.cgi?id=360421

We have had requests for SNI support for mod_nss, as it's needed to support name-based virtual hosts in Apache httpd.  SNI would also be very useful for Red Hat Identity Management (IPA) and Red Hat Directory Server (389 DS).

Comment 2 Eric Paris 2014-03-06 22:32:32 UTC
We know this is still an upstream feature request.  I am moving this to a 7.0 bug.  It will be some time before we have any time to try to address this.  For now, this RHEL bug will be dormant until the upstream bug has made more progress.

Comment 10 Rob Crittenden 2016-05-17 18:52:24 UTC
*** Bug 1011652 has been marked as a duplicate of this bug. ***

Comment 12 Abhijeet Kasurde 2016-08-09 14:17:40 UTC
Verified using mod_nss :: 

# rpm -q mod_nss httpd
mod_nss-1.0.14-3.el7.x86_64
httpd-2.4.6-45.el7.x86_64

Attaching console.log and configuration files used in verifying BZ.

Marking BZ as verified.

Comment 13 Abhijeet Kasurde 2016-08-09 14:19:51 UTC
Created attachment 1189279 [details]
console.log

Comment 14 Abhijeet Kasurde 2016-08-09 14:20:31 UTC
Created attachment 1189280 [details]
nss.conf used for verification

Comment 16 errata-xmlrpc 2016-11-03 21:18:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2602.html

Comment 17 Rob Crittenden 2016-12-12 14:24:40 UTC
*** Bug 1400745 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.